/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.entity.client;

import com.remains_cave.RemainsCaveMod;
import com.remains_cave.item.custom.BoneHatchetItem;
import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.GeoModel;

public class BoneHatchetModel extends GeoModel<BoneHatchetItem> {
    private static final ResourceLocation MODEL = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "geo/item/bone_hatchet.geo.json");
    private static final ResourceLocation TEXTURE = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "textures/item/bone_hatchet.png");
    private static final ResourceLocation ANIMATION = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "animations/item/bone_hatchet.animation.json");

    @Override
    public ResourceLocation getModelResource(BoneHatchetItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(BoneHatchetItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(BoneHatchetItem animatable) {
        return ANIMATION; // 如果没有动画可返回 null
    }
}